import { EventEmitter } from "@angular/core";
import * as common from "./common";
export * from "./common";
/**
 * @public
 */
export declare class NodeComponent<T> {
    data: common.TreeData<T>;
    last: boolean;
    checkbox?: boolean;
    path: number[];
    draggable?: boolean;
    preid?: string;
    toggle: EventEmitter<common.EventData<T>>;
    change: EventEmitter<common.EventData<T>>;
    private hovered;
    private doubleClick;
    readonly nodeClassName: string;
    readonly anchorClassName: string;
    readonly checkboxClassName: string;
    readonly iconClassName: string;
    readonly oclClassName: string;
    readonly pathString: string;
    readonly hasMarker: boolean | undefined;
    readonly markerClassName: string;
    private readonly eventData;
    readonly id: string | undefined;
    geChildPath(index: number): number[];
    hover(hovered: boolean): void;
    ontoggle(eventData?: common.EventData<T>): void;
    onchange(eventData?: common.EventData<T>): void;
    trackBy(request: common.TreeData, index: number): number;
}
/**
 * @public
 */
export declare class TreeComponent<T> {
    data: common.TreeData<T>[];
    checkbox?: boolean;
    draggable?: boolean;
    nodots?: boolean;
    size?: string;
    theme?: string;
    dropAllowed?: (dropData: common.DropData<T>) => boolean;
    preid?: string;
    toggle: EventEmitter<common.EventData<T>>;
    change: EventEmitter<common.EventData<T>>;
    drop: EventEmitter<common.DropData<T>>;
    private dragTarget;
    private dropTarget;
    readonly rootClassName: string;
    readonly containerClassName: string;
    ontoggle(eventData: common.EventData<T>): void;
    onchange(eventData: common.EventData<T>): void;
    ondragstart(event: DragEvent): void;
    ondragend(event: DragEvent): void;
    ondragover(event: DragEvent): void;
    ondragenter(event: DragEvent): void;
    ondragleave(event: DragEvent): void;
    ondrop(event: DragEvent): void;
    trackBy(request: common.TreeData, index: number): number;
    private canDrop(event);
}
/**
 * @public
 */
export declare class TreeModule {
}
