/// <reference types="react" />
import * as React from "react";
import * as common from "./common";
export * from "./common";
/**
 * @public
 */
export declare class Tree<T = any> extends React.PureComponent<{
    data: common.TreeData<T>[];
    checkbox?: boolean;
    draggable?: boolean;
    nodots?: boolean;
    size?: string;
    theme?: string;
    dropAllowed?: (dropData: common.DropData<T>) => boolean;
    zindex?: number;
    preid?: string;
    toggle?: (eventData: common.EventData<T>) => void;
    change?: (eventData: common.EventData<T>) => void;
    drop?: (dropData: common.DropData<T>) => void;
}, {
    dragTarget: HTMLElement | null;
    dropTarget: HTMLElement | null;
}> {
    private dragTarget;
    private dropTarget;
    render(): JSX.Element;
    private readonly rootClassName;
    private readonly containerClassName;
    private canDrop(event);
    private ontoggle(eventData);
    private onchange(eventData);
    private ondragstart(event);
    private ondragend(event);
    private ondragover(event);
    private ondragenter(event);
    private ondragleave(event);
    private ondrop(event);
}
